Skip to main content
POST
/
runs
/
crons
/
search
Search Crons
curl --request POST \
  --url https://api.example.com/runs/crons/search \
  --header 'Content-Type: application/json' \
  --data '
{
  "assistant_id": "<string>",
  "thread_id": "<string>",
  "enabled": true,
  "limit": 10,
  "offset": 0,
  "sort_by": "<string>",
  "sort_order": "<string>"
}
'
[
  {
    "cron_id": "<string>",
    "assistant_id": "<string>",
    "schedule": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "thread_id": "<string>",
    "end_time": "2023-11-07T05:31:56Z",
    "payload": {},
    "user_id": "<string>",
    "next_run_date": "2023-11-07T05:31:56Z",
    "metadata": {},
    "enabled": true
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.aegra.dev/llms.txt

Use this file to discover all available pages before exploring further.

Body

application/json

Request body for searching cron jobs.

assistant_id
string | null
thread_id
string | null
enabled
boolean | null
limit
integer
default:10
Required range: 1 <= x <= 1000
offset
integer
default:0
Required range: x >= 0
sort_by
string | null
sort_order
string | null

Response

Successful Response

cron_id
string
required
assistant_id
string
required
schedule
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
thread_id
string | null
on_run_completed
enum<string> | null
Available options:
delete,
keep
end_time
string<date-time> | null
payload
Payload · object
user_id
string | null
next_run_date
string<date-time> | null
metadata
Metadata · object
enabled
boolean
default:true